
#include "pch.h"
#include "DisasmView.h"
#include "Config.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#define new DEBUG_NEW
#endif

/////////////////////////////////////////////////////////////////////////////
// CDisasmView
IMPLEMENT_DYNAMIC(CDisasmView, CDocPaneDlgViewBase)

CDisasmView::CDisasmView(UINT nErrID)
	: CDocPaneDlgViewBase(nErrID)
{
	m_pDlg = &m_Dlg;
}

CDisasmView::~CDisasmView()
    = default;

void CDisasmView::SetAddr(uint16_t addr)
{
	m_Dlg.PostMessage(WM_DBG_CURRENT_ADDRESS_CHANGE, WPARAM(addr));
}

BEGIN_MESSAGE_MAP(CDisasmView, CDocPaneDlgViewBase)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// обработчики сообщений CDisasmView

